#include <iostream>
#include <vector>
#include <fstream>

/*selection sort takes an array of numbers and just scans it until it finds the best, 
  then scans it again until it finds the next best, and so on...*/

using namespace std;

int main(int argc, char * argv[] ) { 
  if (argc != 2) { 
    cerr << "usage: ./selection-sort.cpp <file.txt>" << endl;
    return 1;
  }

  ifstream fin;
  fin.open(argv[1]);
  long int num;
  vector<long int> numbers;
  while ( fin >> num) { 
    numbers.push_back(num);
  }
  fin.close();

  /*  for (unsigned int i = 0; i < numbers.size(); ++i) {
    cout << "[" << numbers[i] << "] ";
  }
  cout << endl;*/

  long int min = 10000000;
  long int min_index = -1;
  vector<long int> results;
  while (numbers.size() > 0 ) { 
    for(unsigned long int i = 0; i < numbers.size(); i++) { 
      if (numbers[i] < min) { 
	min = numbers[i];
	min_index = i;
      }
    }
    results.push_back(min); 
    numbers.erase(numbers.begin() + (min_index));
    min = 10000000;
  }

  /*  for (unsigned int i = 0; i < results.size(); ++i) {
    cout << "[ " << results[i] << "] ";
  }
  cout << endl;*/
  return 0;
}
